/**
* Group Account App
* Defined an app to manage system group account
*/
var GroupAccountApp = GroupAccountApp || {};  //Define Group Account App namespace.
/**
*Constructor UNAS Group Account App
*/
GroupAccountApp.App = function () {
    this.id = 'Group Account';
    this.name = 'Group Account';
    this.version = '6.0.25';
    this.active = false;
    this.menuIcon = '/apps/groupaccount/images/logo.png?v=6.0.25&';
    this.shortcutIcon = '/apps/groupaccount/images/logo.png?v=6.0.25&';
    this.entryUrl = '/apps/groupaccount/account_group.html?v=6.0.25&';
    //this.entryHelpUrl = '/apps/groupaccount/account_group_help.html?v=6.0.25&';
    var self = this;
    this.GroupAccountAppWindow = function () { //create app window
        if(UNAS.CheckAppState('Group Account')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'GroupAccountAppWindow',
            title: UNAS._('Group Account'),
            icon: '/apps/groupaccount/images/logo_small.png?v=6.0.25&',
            loadMethod: 'xhr',
            width: 800,
            height: 500,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            contentURL: '/apps/groupaccount/account_group.html?v=6.0.25&',
            require: {  css: ['/apps/groupaccount/css/groupaccount.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Group Account",'GroupAccountAppWindow')}
        });
    };
    this.GroupAccountUninstall = function () {
        UNAS.RemoveDesktopShortcut('Group Account');
        UNAS.RemoveMenu('Group Account');
        UNAS.RemoveAppFromGroups('Group Account', 'ControlPanel');
        UNAS.RemoveAppFromGroups('Group Account', 'Help');
        UNAS.RemoveAppFromApps('Group Account');
    };
    new UNAS.Menu('UNAS_ControlPanel_Account_Menu', this.name, this.menuIcon, 'Group Account', '', this.GroupAccountAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Group Account', this.GroupAccountAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {"Type" : "Account", "Location" : 1, "Icon": this.shortcutIcon, "Url": this.entryUrl}, {});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {"Type" : "Account", "Location" : 1, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl}, {});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('Group Account', UNAS._('Group Account')); //translate menu
        //UNAS.SetShortcutTitle('Group Account', UNAS._('Group Account'));
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('GroupAccountAppWindow', UNAS._('Group Account'));
        }
    };
    UNAS.LoadTranslation('/apps/groupaccount/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.GroupAccountAppWindow, this.GroupAccountUninstall
           );
};
new GroupAccountApp.App();
